#include	<stdio.h>
#include	<unistd.h>
#include	<sys/types.h>
#include	<sys/stat.h>
#include	<sys/param.h>
#include	<sys/filsys.h>
#include	<fcntl.h>
#ifdef DEBUG
# include	<errno.h>
#endif
#define SEEK_SET 2
struct filsys *getfs(device)
char	*device;
{
	FILE			*filep;
	static struct	filsys	sblk;

	if ((filep = fopen(device,"r")) == NULL) {
		fprintf(stderr,"df: cannot open %s\n",device);
#ifdef DEBUG
		perror("df");
#endif
		return(NULL);
	}
	fseek(filep, 1024, SEEK_SET);
	if (fread(&sblk, sizeof(struct filsys), 1, filep) != 1) {
		fprintf(stderr,"Cannot read %s\n",device);
#ifdef DEBUG
		perror("df");
#endif
		fclose(filep);
		return(NULL);
	}
	fclose(filep);
	return(&sblk);
}

